%define buildroot /var/tmp/mzproxy-buildroot

Summary: mzproxy daemon
Name: mzproxy
Version: 2.0.0
Release: 1
Copyright: JaeHyuk Cho <mailto:minzkn@minzkn.com>
Group: Network/Utility/Daemon

%description
This package contains mzproxy

%prep
install -m 0755 -d %{buildroot} 
cd %{buildroot}
rm -rf mzproxy
cvs -d:pserver:anonymous:@kldp.net:/cvsroot/mzproxy login
cvs -d:pserver:anonymous:@kldp.net:/cvsroot/mzproxy co mzproxy

%build
install -m 0755 -d %{buildroot}/mzproxy/distfiles
cd %{buildroot}/mzproxy
./configure --prefix=%{buildroot}/mzproxy/distfiles
make

%install
cd %{buildroot}/mzproxy
make install

%post
echo "* Install mzproxy"
echo "  - Code by JaeHyuk Cho <mailto:minzkn@minzkn.com>"
echo "  - See also : http://kldp.net/projects/mzproxy/"

%postun
echo "Uninstall mzproxy"

%clean
rm -rf %{buildroot}

%files
%{buildroot}/mzproxy/distfiles/bin/mzproxy

%changelog
